package com.kxs.common.core.constant.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 用户预扣款状态枚举
 *
 * @author 没秃顶的码农
 * @date 2024-01-03
 */
@Getter
@RequiredArgsConstructor
public enum UserAdvanceStatusEnum {

    ADVANCE_NOT_CHARGED(0, "未扣款"),
    ADVANCE_CHARGED(1, "已扣款"),
    ADVANCE_CANCEL(2, "退回扣款");

    /**
     * 类型
     */
    private final Integer type;

    /**
     * 描述
     */
    private final String description;
}
